<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN Prod_Product
 */


class Prod_Product_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'Prod_Product';
    public $object_name = 'Prod_Product';
    public $table_name = 'prod_product';
    public $importable = true;
    public $team_id;
    public $team_set_id;
    public $acl_team_set_id;
    public $team_count;
    public $team_name;
    public $acl_team_names;
    public $team_link;
    public $team_count_link;
    public $teams;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $tag;
    public $tag_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $commentlog;
    public $commentlog_link;
    public $locked_fields;
    public $locked_fields_link;
    public $stock_quantity;
    public $product_id_2;
    public $external_barcode;
    public $account_id1_c;
    public $vendor;
    public $cost_per_unit;
    public $product_name;
    public $department;
    public $cost_per_unit_2;
    public $currency_id;
    public $base_rate;
    public $unit_quantity;
    public $cost_per_each;
    public $cost_per_each_2;
    public $type_2;
    public $subtype;
    public $quality_requirement;
    public $manufacturer;
    public $concentration;
    public $u_units_id_c;
    public $concentration_unit;
    public $purchase_unit;
    public $allowed_storage;
    public $stock;
    
    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}